Type.registerNamespace("Telerik.Web");
Telerik.Web.BehaviorBase=function(_1){
Telerik.Web.BehaviorBase.initializeBase(this,[_1]);
this._clientStateFieldID=null;
this._pageRequestManager=null;
this._partialUpdateBeginRequestHandler=null;
this._partialUpdateEndRequestHandler=null;
};
Telerik.Web.BehaviorBase.prototype={initialize:function(){
Telerik.Web.BehaviorBase.callBaseMethod(this,"initialize");
},dispose:function(){
var _2=this.get_element();
Telerik.Web.BehaviorBase.callBaseMethod(this,"dispose");
if(_2&&_2._behaviors&&_2._behaviors.length==0){
_2._behaviors=null;
}
_2=null;
if(this._pageRequestManager){
if(this._partialUpdateBeginRequestHandler){
this._pageRequestManager.remove_beginRequest(this._partialUpdateBeginRequestHandler);
this._partialUpdateBeginRequestHandler=null;
}
if(this._partialUpdateEndRequestHandler){
this._pageRequestManager.remove_endRequest(this._partialUpdateEndRequestHandler);
this._partialUpdateEndRequestHandler=null;
}
this._pageRequestManager=null;
}
},get_ClientStateFieldID:function(){
return this._clientStateFieldID;
},set_ClientStateFieldID:function(_3){
if(this._clientStateFieldID!=_3){
this._clientStateFieldID=_3;
this.raisePropertyChanged("ClientStateFieldID");
}
},get_ClientState:function(){
if(this._clientStateFieldID){
var _4=document.getElementById(this._clientStateFieldID);
if(_4){
return _4.value;
}
}
return null;
},set_ClientState:function(_5){
if(this._clientStateFieldID){
var _6=document.getElementById(this._clientStateFieldID);
if(_6){
_6.value=_5;
}
}
},registerPartialUpdateEvents:function(){
if(Sys&&Sys.WebForms&&Sys.WebForms.PageRequestManager){
this._pageRequestManager=Sys.WebForms.PageRequestManager.getInstance();
if(this._pageRequestManager){
this._partialUpdateBeginRequestHandler=Function.createDelegate(this,this._partialUpdateBeginRequest);
this._pageRequestManager.add_beginRequest(this._partialUpdateBeginRequestHandler);
this._partialUpdateEndRequestHandler=Function.createDelegate(this,this._partialUpdateEndRequest);
this._pageRequestManager.add_endRequest(this._partialUpdateEndRequestHandler);
}
}
},_partialUpdateBeginRequest:function(_7,_8){
},_partialUpdateEndRequest:function(_9,_a){
}};
Telerik.Web.BehaviorBase.registerClass("Telerik.Web.BehaviorBase",Sys.UI.Behavior);
Type.registerNamespace("Telerik.Web");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ModalExtender=function(_b){
this._windowResizeDelegate=null;
this._windowScrollDelegate=null;
this._xCoordinate=-1;
this._yCoordinate=-1;
this._backgroundElement=null;
this._foregroundElement=_b;
this._saveTabIndexes=new Array();
this._saveDesableSelect=new Array();
this._tagWithTabIndex=new Array("A","AREA","BUTTON","INPUT","OBJECT","SELECT","TEXTAREA","IFRAME");
};
Telerik.Web.UI.ModalExtender.prototype={dispose:function(){
this.hide();
this._backgroundElement=null;
this._foregroundElement=null;
},show:function(){
this._attachWindowHandlers(true);
var _c=this._getModalOverlay();
this._foregroundElement.parentNode.appendChild(_c);
_c.style.zIndex=$telerik.getCurrentStyle(this._foregroundElement,"zIndex",this._foregroundElement.style.zIndex)-1;
_c.style.display="";
this._disableTab();
this._updatePageLayout();
this._updatePageLayout();
},_storeBrowserPosition:function(){
var _d=document.body;
var _e=document.documentElement;
this._browserTop=_d.scrollTop>_e.scrollTop?_d.scrollTop:_e.scrollTop;
this._browserLeft=_d.scrollLeft>_e.scrollLeft?_d.scrollTop:_e.scrollLeft;
},_restoreBrowserPosition:function(_f,top){
try{
if(null==_f){
_f=this._browserLeft;
}
if(null==top){
top=this._browserTop;
}
var _11=document.body;
var _12=document.documentElement;
_11.scrollTop=top;
_11.scrollLeft=_f;
_12.scrollTop=top;
_12.scrollLeft=_f;
}
catch(ex){
}
},hide:function(){
this._backgroundElement.style.display="none";
this._restoreTab();
this._attachWindowHandlers(false);
},_enableScroll:function(_13){
if(_13){
document.body.style.overflow=null!=this._overflow?this._overflow:"";
document.documentElement.style.overflow=null!=this._documentOverflow?this._documentOverflow:"";
document.body.style.marginRight="";
}else{
this._overflow=document.body.style.overflow;
document.body.style.overflow="hidden";
this._documentOverflow=document.documentElement.style.overflow;
document.documentElement.style.overflow="hidden";
document.body.style.marginRight="18px";
}
},_getModalOverlay:function(){
if(!this._backgroundElement){
var div=document.createElement("div");
div.style.display="none";
div.style.position="absolute";
div.style.left="0px";
div.style.top="0px";
div.style.zIndex=10000;
div.style.backgroundColor="#aaaaaa";
div.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=50)";
div.style.opacity=".5";
div.style.mozOpacity=".5";
div.className="TelerikModalOverlay";
this._backgroundElement=div;
}
return this._backgroundElement;
},_attachWindowHandlers:function(_15){
var _16=window;
if(true==_15){
this._windowResizeDelegate=Function.createDelegate(this,this._updatePageLayout);
$addHandler(_16,"resize",this._windowResizeDelegate);
this._windowScrollDelegate=Function.createDelegate(this,this._updatePageLayout);
$addHandler(_16,"scroll",this._windowScrollDelegate);
}else{
if(this._windowResizeDelegate){
$removeHandler(_16,"resize",this._windowResizeDelegate);
}
this._windowResizeDelegate=null;
if(this._windowScrollDelegate){
$removeHandler(_16,"scroll",this._windowScrollDelegate);
}
this._windowScrollDelegate=null;
}
},_updatePageLayout:function(){
var _17=(document.documentElement.scrollLeft?document.documentElement.scrollLeft:document.body.scrollLeft);
var _18=(document.documentElement.scrollTop?document.documentElement.scrollTop:document.body.scrollTop);
var _19=$telerik.getClientBounds();
var _1a=_19.width;
var _1b=_19.height;
var _1c=this._getModalOverlay();
_1c.style.width=Math.max(Math.max(document.documentElement.scrollWidth,document.body.scrollWidth),_1a)+"px";
_1c.style.height=Math.max(Math.max(document.documentElement.scrollHeight,document.body.scrollHeight),_1b)+"px";
},_disableTab:function(){
var i=0;
var _1e;
var _1f=new Array();
Array.clear(this._saveTabIndexes);
for(var j=0;j<this._tagWithTabIndex.length;j++){
_1e=this._foregroundElement.getElementsByTagName(this._tagWithTabIndex[j]);
for(var k=0;k<_1e.length;k++){
_1f[i]=_1e[k];
i++;
}
}
i=0;
for(var j=0;j<this._tagWithTabIndex.length;j++){
_1e=document.getElementsByTagName(this._tagWithTabIndex[j]);
for(var k=0;k<_1e.length;k++){
if(Array.indexOf(_1f,_1e[k])==-1){
this._saveTabIndexes[i]={tag:_1e[k],index:_1e[k].tabIndex};
_1e[k].tabIndex="-1";
i++;
}
}
}
i=0;
if((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7)){
var _22=new Array();
for(var j=0;j<this._tagWithTabIndex.length;j++){
_1e=this._foregroundElement.getElementsByTagName("SELECT");
for(var k=0;k<_1e.length;k++){
_22[i]=_1e[k];
i++;
}
}
i=0;
Array.clear(this._saveDesableSelect);
_1e=document.getElementsByTagName("SELECT");
for(var k=0;k<_1e.length;k++){
if(Array.indexOf(_22,_1e[k])==-1){
this._saveDesableSelect[i]={tag:_1e[k],visib:$telerik.getCurrentStyle(_1e[k],"visibility")};
_1e[k].style.visibility="hidden";
i++;
}
}
}
},_restoreTab:function(){
for(var i=0;i<this._saveTabIndexes.length;i++){
this._saveTabIndexes[i].tag.tabIndex=this._saveTabIndexes[i].index;
}
if((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7)){
for(var k=0;k<this._saveDesableSelect.length;k++){
this._saveDesableSelect[k].tag.style.visibility=this._saveDesableSelect[k].visib;
}
}
}};
Telerik.Web.UI.ModalExtender.registerClass("Telerik.Web.UI.ModalExtender",null);
Type.registerNamespace("Telerik.Web");
Telerik.Web.PositioningMode=function(){
throw Error.invalidOperation();
};
Telerik.Web.PositioningMode.prototype={Absolute:0,Center:1,BottomLeft:2,BottomRight:3,TopLeft:4,TopRight:5};
Telerik.Web.PositioningMode.registerEnum("Telerik.Web.PositioningMode");
Telerik.Web.PopupBehavior=function(_25){
Telerik.Web.PopupBehavior.initializeBase(this,[_25]);
this._x=0;
this._y=0;
this._positioningMode=Telerik.Web.PositioningMode.Absolute;
this._parentElement=null;
this._parentElementID=null;
this._moveHandler=null;
this._firstPopup=true;
this._originalParent=null;
this._overlay=false;
this._keepInScreenBounds=true;
this._manageVisibility=true;
};
Telerik.Web.PopupBehavior._ie6pinnedList={};
Telerik.Web.PopupBehavior.prototype={getPageOffset:function(){
var _26={x:(document.documentElement.scrollLeft||document.body.scrollLeft),y:(document.documentElement.scrollTop||document.body.scrollTop)};
return _26;
},pin:function(_27){
var _28=this.get_element();
var _29=this.getPageOffset();
if($telerik.isIE6){
var id=this.get_id();
if(_27){
if(Telerik.Web.PopupBehavior._ie6pinnedList[id]){
return;
}
var _2b=$telerik.getBounds(_28);
Telerik.Web.PopupBehavior._ie6pinnedList[id]=window.setInterval(Function.createDelegate(this,function(){
var _2c=this.getPageOffset();
var x=_2b.x-_29.x+_2c.x;
var y=_2b.y-_29.y+_2c.y;
var _2f=this.get_parentElement();
this.set_parentElement(document.documentElement);
this.set_x(x);
this.set_y(y);
this.show();
this.set_parentElement(_2f);
}),130);
}else{
var _30=Telerik.Web.PopupBehavior._ie6pinnedList[id];
if(_30){
window.clearInterval(_30);
}
delete Telerik.Web.PopupBehavior._ie6pinnedList[id];
}
}else{
var _31=_27?"fixed":"absolute";
if(_28.style.position==_31){
return;
}
var _2b=$telerik.getBounds(_28);
if(_27&&(_29.x||_29.y)){
this._x=_2b.x-_29.x;
this._y=_2b.y-_29.y;
$telerik.setLocation(_28,{x:this._x,y:this._y});
}
_28.style.position=_31;
}
},center:function(){
var _32=this.get_element();
if(this._manageVisibility){
$telerik.setVisible(_32,true);
}
var _33=$telerik.getClientBounds();
var _34=$telerik.getBounds(_32);
var x=parseInt((_33.width-_34.width)/2);
var y=parseInt((_33.height-_34.height)/2);
var _37=this.get_parentElement();
this.set_parentElement(document.documentElement);
this.set_x(x);
this.set_y(y);
this.show();
this.set_parentElement(_37);
},get_parentElement:function(){
if(!this._parentElement&&this._parentElementID){
this.set_parentElement($get(this._parentElementID));
Sys.Debug.assert(this._parentElement!=null,String.format("Couldn't find parent element \"{0}\"",this._parentElementID));
}
return this._parentElement;
},set_parentElement:function(_38){
this._parentElement=_38;
},get_parentElementID:function(){
if(this._parentElement){
return this._parentElement.id;
}
return this._parentElementID;
},set_parentElementID:function(_39){
this._parentElementID=_39;
if(this.get_isInitialized()){
this.set_parentElement($get(_39));
}
},get_positioningMode:function(){
return this._positioningMode;
},set_positioningMode:function(_3a){
this._positioningMode=_3a;
},get_x:function(){
return this._x;
},set_x:function(_3b){
if(_3b!=this._x){
this._x=_3b;
if($telerik.getVisible(this.get_element())&&this._manageVisibility){
this.show();
}
}
},get_y:function(){
return this._y;
},set_y:function(_3c){
if(_3c!=this._y){
this._y=_3c;
if($telerik.getVisible(this.get_element())&&this._manageVisibility){
this.show();
}
}
},get_overlay:function(){
return this._overlay;
},set_overlay:function(_3d){
this._overlay=_3d;
this._attachWindowHandlers(false);
if(this._overlay){
this._attachWindowHandlers(true);
}else{
if(!((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7))){
var elt=this.get_element();
var _3f=elt._hideWindowedElementsIFrame;
if(_3f){
_3f.style.display="none";
}
}
}
},get_manageVisibility:function(){
return this._manageVisibility;
},set_manageVisibility:function(_40){
this._manageVisibility=_40;
},get_keepInScreenBounds:function(){
return this._keepInScreenBounds;
},set_keepInScreenBounds:function(_41){
this._keepInScreenBounds=_41;
},hide:function(){
var elt=this.get_element();
if(this._manageVisibility){
$telerik.setVisible(elt,false);
}
if(elt.originalWidth){
elt.style.width=elt.originalWidth+"px";
elt.originalWidth=null;
}
if(Sys.Browser.agent===Sys.Browser.InternetExplorer||this._overlay){
var _43=elt._hideWindowedElementsIFrame;
if(_43){
_43.style.display="none";
}
}
},show:function(){
var elt=this.get_element();
if($telerik.isFirefox){
var doc=document.documentElement;
var _46=$telerik.getCurrentStyle(doc,"overflow");
if("hidden"==_46){
elt.style.left=doc.scrollLeft+"px";
elt.style.top=doc.scrollLeft+"px";
}
}
if(this._manageVisibility){
$telerik.setVisible(elt,true);
}
var _47=elt.offsetParent||document.documentElement;
var _48;
var _49;
if(this._parentElement){
_49=$telerik.getBounds(this._parentElement);
if(_47.tagName.toUpperCase()!="BODY"&&_47.tagName.toUpperCase()!="HTML"){
var _4a=$telerik.getLocation(_47);
_48={x:_49.x-_4a.x+_47.scrollLeft,y:_49.y-_4a.y+_47.scrollTop};
}else{
_48={x:_49.x,y:_49.y};
}
}else{
_49=$telerik.getBounds(_47);
_48={x:0,y:0};
}
var _4b=elt.offsetWidth-(elt.clientLeft?elt.clientLeft*2:0);
var _4c=elt.offsetHeight-(elt.clientTop?elt.clientTop*2:0);
var _4d;
switch(this._positioningMode){
case Telerik.Web.PositioningMode.Center:
_4d={x:Math.round(_49.width/2-_4b/2),y:Math.round(_49.height/2-_4c/2)};
break;
case Telerik.Web.PositioningMode.BottomLeft:
_4d={x:0,y:_49.height};
break;
case Telerik.Web.PositioningMode.BottomRight:
_4d={x:_49.width-_4b,y:_49.height};
break;
case Telerik.Web.PositioningMode.TopLeft:
_4d={x:0,y:-elt.offsetHeight};
break;
case Telerik.Web.PositioningMode.TopRight:
_4d={x:_49.width-_4b,y:-elt.offsetHeight};
break;
default:
_4d={x:0,y:0};
}
_4d.x+=this._x+_48.x;
_4d.y+=this._y+_48.y;
$telerik.setLocation(elt,_4d);
if(this._firstPopup){
elt.style.width=_4b+"px";
}
this._firstPopup=false;
var _4e=$telerik.getBounds(elt);
var _4f=this._getViewportBounds();
if(this._keepInScreenBounds){
var _50=false;
var _51=self.innerWidth?self.innerWidth:document.documentElement.clientWidth;
if(!_51){
_51=document.body.clientWidth;
}
if(_4e.x+_4e.width-_4f.scrollLeft>_51){
_4d.x-=_4e.x+_4e.width-_51+_4f.scrollLeft;
_50=true;
}
if(_4e.x<0){
_4d.x-=_4e.x;
_50=true;
}
if(_4e.y<0){
_4d.y-=_4e.y;
_50=true;
}
if(_4f.height<_4e.y+_4e.height-_4f.scrollTop){
if(_4f.height-_4e.height>0){
_4d.y=_4f.height-_4e.height+_4f.scrollTop;
_50=true;
}
}
if(_50){
$telerik.setLocation(elt,_4d);
_4e=$telerik.getBounds(elt);
}
}
elt.zIndex=1000;
if(((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7))||this._overlay){
var _52=elt._hideWindowedElementsIFrame;
if(!_52){
_52=document.createElement("iframe");
_52.src="javascript:'<html></html>';";
_52.style.position="absolute";
_52.style.display="none";
_52.scrolling="no";
_52.frameBorder="0";
_52.tabIndex="-1";
_52.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=0)";
elt.parentNode.insertBefore(_52,elt);
elt._hideWindowedElementsIFrame=_52;
this._moveHandler=Function.createDelegate(this,this._onMove);
Sys.UI.DomEvent.addHandler(elt,"move",this._moveHandler);
}
$telerik.setBounds(_52,_4e);
if(Sys.Browser.agent===Sys.Browser.Firefox){
_52.style.top=parseInt(_4e.y)-_4f.scrollTop+"px";
_52.style.left=parseInt(_4e.x)-_4f.scrollLeft+"px";
_52.style.position="fixed";
}
if($telerik.quirksMode){
return;
}
_52.style.display=elt.style.display;
if(elt.currentStyle&&elt.currentStyle.zIndex){
_52.style.zIndex=elt.currentStyle.zIndex;
}else{
if(elt.style.zIndex){
_52.style.zIndex=elt.style.zIndex;
}
}
}
},_getViewportBounds:function(){
var _53=$telerik.getClientBounds();
var _54=document.documentElement.scrollLeft||document.body.scrollLeft;
var _55=document.documentElement.scrollTop||document.body.scrollTop;
_53.scrollLeft=_54;
_53.scrollTop=_55;
return _53;
},_setCoordinates:function(x,y){
var _58=false;
if(x!=this._x){
this._x=x;
_58=true;
}
if(y!=this._y){
this._y=y;
_58=true;
}
if($telerik.getVisible(this.get_element())&&_58&&this._manageVisibility){
this.show();
}
},initialize:function(){
Telerik.Web.PopupBehavior.callBaseMethod(this,"initialize");
this.hide();
this.get_element().style.position="absolute";
},dispose:function(){
var elt=this.get_element();
if(elt){
if(this._moveHandler){
Sys.UI.DomEvent.removeHandler(elt,"move",this._moveHandler);
this._moveHandler=null;
}
this._attachWindowHandlers(false);
if($telerik.getVisible(elt)&&this._manageVisibility){
this.hide();
}
if(this._originalParent){
elt.parentNode.removeChild(elt);
this._originalParent.appendChild(elt);
this._originalParent=null;
}
var _5a=elt._hideWindowedElementsIFrame;
if(_5a){
_5a.parentNode.removeChild(_5a);
}
}
this._parentElement=null;
Telerik.Web.PopupBehavior.callBaseMethod(this,"dispose");
},_onMove:function(){
var elt=this.get_element();
var _5c=elt._hideWindowedElementsIFrame;
if(_5c){
if(Sys.Browser.agent===Sys.Browser.Firefox){
var _5d=this._getViewportBounds();
_5c.style.top=parseInt(elt.style.top)-_5d.scrollTop+"px";
_5c.style.left=parseInt(elt.style.left)-_5d.scrollLeft+"px";
_5c.style.position="fixed";
}else{
_5c.style.top=elt.style.top;
_5c.style.left=elt.style.left;
}
}
},_handleElementResize:function(){
var elt=this.get_element();
var _5f=elt._hideWindowedElementsIFrame;
if(_5f){
var _60=$telerik.getBounds(elt);
$telerik.setBounds(_5f,_60);
}
},_attachWindowHandlers:function(_61){
if(!Sys.Browser.agent===Sys.Browser.Firefox){
return;
}
var _62=window;
if(true==_61){
this._windowResizeDelegate=Function.createDelegate(this,this._onMove);
$addHandler(_62,"resize",this._windowResizeDelegate);
this._windowScrollDelegate=Function.createDelegate(this,this._onMove);
$addHandler(_62,"scroll",this._windowScrollDelegate);
}else{
if(this._windowResizeDelegate){
$removeHandler(_62,"resize",this._windowResizeDelegate);
}
this._windowResizeDelegate=null;
if(this._windowScrollDelegate){
$removeHandler(_62,"scroll",this._windowScrollDelegate);
}
this._windowScrollDelegate=null;
}
}};
Telerik.Web.PopupBehavior.registerClass("Telerik.Web.PopupBehavior",Telerik.Web.BehaviorBase);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ResizeExtender=function(_63,_64,_65,_66,doc,_68){
this._document=doc?doc:document;
this._documentMouseMoveDelegate=null;
this._documentMouseUpDelegate=null;
this._element=null;
this._tableElement=null;
this._moveCursorType="move";
this._enabled=true;
this._jsOwner=null;
this._saveDelegates={};
this.makeResizable(_63,_64,_65,_66,_68);
};
Telerik.Web.UI.ResizeExtender.containsBounds=function(_69,_6a){
if(!_69||!_6a){
return false;
}
var _6b=$telerik.containsPoint(_69,_6a.x,_6a.y);
if(_6b){
var x=_6a.x+_6a.width;
var y=_6a.y+_6a.height;
_6b=$telerik.containsPoint(_69,x,y);
}
return _6b;
};
Telerik.Web.UI.ResizeExtender.prototype={dispose:function(){
this._attachDocumentHandlers(false);
this._configureHandleElements(false);
this._jsOwner=null;
},enable:function(_6e){
this._enabled=_6e;
},makeResizable:function(_6f,_70,_71,_72,_73){
if(!_70){
return;
}
if(this._element){
alert("Element "+_70.getAttribute("id")+" cannot be made resizable, as the resizeExtender already has the element "+this._element.getAttribute("id")+" associated with it. You must create a new extender resizer object");
return;
}
this._jsOwner=_6f;
this._element=_70;
this._tableElement=_72;
this._resizeHandles=_71;
if(_73){
this._moveCursorType=_73;
}
this._startX=0;
this._startY=0;
this._cancelResize=true;
this._configureHandleElements(true);
},_raiseDragEvent:function(_74,ev,_76){
if(this._jsOwner&&this._jsOwner["on"+_74]){
var _77=ev;
if(!_77){
_77={};
}
_77.element=this._element;
_77.ownerEvent=_76;
return this._jsOwner["on"+_74](_77);
}
return true;
},_raiseEvent:function(_78,ev){
if(this._jsOwner&&this._jsOwner["on"+_78]){
if(!ev){
ev=new Sys.EventArgs();
}else{
if(_78=="Resize"){
ev=this._resizeDir;
}else{
if(_78=="Resizing"){
ev=this._getProposedBounds(ev);
}
}
}
return this._jsOwner["on"+_78](ev);
}
return true;
},_getProposedBounds:function(b1){
var b2=$telerik.getBounds(this._element);
return {x:b1.x||b2.x,y:b1.y||b2.y,width:b1.width||b2.width,height:b1.height||b2.height};
},_resize:function(e){
if(!this._enabled||this._cancelResize){
return false;
}
var _7d=0;
var _7e=0;
var _7f=0;
var _80=0;
var _81=this._originalBounds;
var _82=this._resizeDir.move;
if(_82){
_7f=_81.x+(e.clientX-this._startX);
_80=_81.y+(e.clientY-this._startY);
}else{
if(this._resizeDir.east){
_7d=_81.width+(e.clientX-this._startX);
}else{
if(this._resizeDir.west){
_7f=e.clientX-this._leftHandleMouseDelta;
_7d=_81.width-(e.clientX-this._startX);
}
}
if(this._resizeDir.south){
_7e=_81.height+(e.clientY-this._startY);
}else{
if(this._resizeDir.north){
_80=_81.y+(e.clientY-this._startY);
_7e=_81.height-(e.clientY-this._startY);
}
}
}
if(this._offsetLocation){
_7f-=this._offsetLocation.x;
_80-=this._offsetLocation.y;
}
var _83=new Sys.UI.Bounds(_7f,_80,_7d,_7e);
var _84=_82?this._raiseDragEvent("Drag",_83,e):this._raiseEvent("Resizing",_83);
if(false==_84){
return true;
}
if(_82||_83.x>0){
this._element.style.left=_83.x+"px";
}
if(_82||_83.y>0){
this._element.style.top=_83.y+"px";
}
if(_83.width>0){
this._element.style.width=_83.width+"px";
}
if(_83.height>0){
this._element.style.height=_83.height+"px";
}
if(!_82){
this._updateInnerTableSize();
}
return true;
},_storeStartCoords:function(e){
if(!this._enabled){
return;
}
this._cancelResize=false;
this._startX=e.clientX;
this._startY=e.clientY;
var _86=$telerik.getBounds(this._element);
this._originalBounds=_86;
var _87=e.target?e.target:e.srcElement;
if(_87&&_87.type==3){
_87=_87.parentNode;
}
this._resizeType=$telerik.getCurrentStyle(_87,"cursor");
this._resizeDir={north:this._resizeType.match(/n.?-/)?1:0,east:this._resizeType.match(/e-/)?1:0,south:this._resizeType.match(/s.?-/)?1:0,west:this._resizeType.match(/w-/)?1:0,move:new RegExp(this._moveCursorType).test(this._resizeType)?1:0};
this._leftHandleMouseDelta=0;
if(this._resizeDir.west){
this._leftHandleMouseDelta=Math.abs($telerik.getBounds(_87).x-this._startX);
}
var _88=this._resizeDir.move?this._raiseDragEvent("DragStart",null,e):this._raiseEvent("ResizeStart");
this._cancelResize=(_88==false);
var _89=$telerik.getCurrentStyle(this._element.parentNode,"position");
var _8a=("relative"==_89)||("absolute"==_89);
this._offsetLocation=_8a?$telerik.getLocation(this._element.parentNode):null;
if(!this._cancelResize){
this._clearSelection();
this._setIframesVisible(false);
this._attachDocumentHandlers(false);
this._attachDocumentHandlers(true);
}
},_updateInnerTableSize:function(){
var dir=this._resizeDir;
if(dir.south||dir.north){
var _8c=this._element.style.height;
var _8d=this._tableElement;
if(_8d){
_8d.style.height=_8c;
this._fixIeHeight(_8d,_8c);
}
}
},_setIframesVisible:function(_8e){
var _8f=this._document.getElementsByTagName("IFRAME");
for(var i=0;i<_8f.length;i++){
var _91=_8f[i];
_91.style.visibility=_8e?"":"hidden";
if($telerik.isIE){
try{
_91.contentWindow.document.body.style.visibility=_8e?"":"hidden";
}
catch(ex){
}
}
}
},_configureHandleElements:function(_92){
var _93=["nw","n","ne","w","e","sw","s","se",this._moveCursorType];
for(var i=0;i<_93.length;i++){
var _95=_93[i];
var _96=this._resizeHandles[_95];
if(_96){
if(_96 instanceof Array){
for(var j=0;j<_96.length;j++){
this._configureHandle("id"+i+"_"+j,_92,_96[j],_95);
}
}else{
this._configureHandle("id"+i,_92,_96,_95);
}
}
}
if(!_92){
this._saveDelegates={};
}
},_configureHandle:function(_98,_99,_9a,_9b){
if(_99){
var _9c=Function.createDelegate(this,this._onHandleMouseDown);
$telerik.addExternalHandler(_9a,"mousedown",_9c);
this._saveDelegates[_98]={delegate:_9c,element:_9a};
var _9d=(_9b==this._moveCursorType?this._moveCursorType:_9b+"-resize");
_9a.style.cursor=_9d;
}else{
$telerik.removeExternalHandler(_9a,"mousedown",this._saveDelegates[_98].delegate);
_9a.style.cursor="";
}
},_attachDocumentHandlers:function(_9e){
var _9f=this._document;
if(true==_9e){
this._documentMouseMoveDelegate=Function.createDelegate(this,this._onDocumentMouseMove);
$telerik.addExternalHandler(_9f,"mousemove",this._documentMouseMoveDelegate);
this._documentMouseUpDelegate=Function.createDelegate(this,this._onDocumentMouseUp);
$telerik.addExternalHandler(_9f,"mouseup",this._documentMouseUpDelegate);
}else{
if(this._documentMouseMoveDelegate){
$telerik.removeExternalHandler(_9f,"mousemove",this._documentMouseMoveDelegate);
}
this._documentMouseMoveDelegate=null;
if(this._documentMouseUpDelegate){
$telerik.removeExternalHandler(_9f,"mouseup",this._documentMouseUpDelegate);
}
this._documentMouseUpDelegate=null;
}
},_onDocumentMouseMove:function(e){
var _a1=this._resize(e);
if(_a1){
return $telerik.cancelRawEvent(e);
}
},_onDocumentMouseUp:function(e){
var _a3=!this._cancelResize;
this._cancelResize=true;
if(_a3){
this._clearSelection();
this._setIframesVisible(true);
if(this._resizeDir&&this._resizeDir.move){
this._raiseDragEvent("DragEnd",null,e);
}else{
this._raiseEvent("ResizeEnd");
}
this._attachDocumentHandlers(false);
}
},_onHandleMouseDown:function(e){
this._storeStartCoords(e);
return $telerik.cancelRawEvent(e);
},_clearSelection:function(){
if(this._document.selection&&this._document.selection.empty){
this._document.selection.empty();
}
},_fixIeHeight:function(_a5,_a6){
if("CSS1Compat"==document.compatMode){
var _a7=(_a5.offsetHeight-parseInt(_a6));
if(_a7>0){
var _a8=(parseInt(_a5.style.height)-_a7);
if(_a8>0){
_a5.style.height=_a8+"px";
}
}
}
}};
Telerik.Web.UI.ResizeExtender.registerClass("Telerik.Web.UI.ResizeExtender",null);

